--- title: "change-box-infra" slug: "change-box-infra" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/change-box-infra" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # change-box-infra Available in VPC Edit the box infrastructure. This is an infrastructure change that takes some time, so it will be processed asynchronously. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/box/change-box-infra | ### Request headers For information about the headers common to all Datafence APIs, see [Datafence request headers](/docs/en/datafence-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `fenceId` | Integer | Required | Datafence number - See [get-datafence](/docs/en/get-datafence). | | `updateBoxInfo` | Object | Required | Box modification information | | `updateBoxInfo.boxId` | Integer | Required | Box number - See [get-box-list](/docs/en/get-box-list). | | `updateBoxInfo.description` | String | Optional | Box description | | `updateBoxInfo.connectServerList` | Array | Optional | Connect server lis: [connectServerList](/docs/en/change-box-infra#connectServerList) - Set a minimum of 1 and a maximum of 4. | | `updateBoxInfo.linuxServerList` | Array | Optional | Linux server list: [linuxServerList](/docs/en/change-box-infra#linuxServerList) - Set a minimum of 1 and a maximum of 4. | | `updateBoxInfo.windowsServerList` | Array | Optional | Windows Server list: [windowsServerList](/docs/en/change-box-infra#windowsServerList) - Set a minimum of 0 and a maximum of 4. | | `updateBoxInfo.boxNasList` | Array | Optional | NAS list: [boxNasList](/docs/en/change-box-infra#boxNasList) - Set a minimum of 1 and a maximum of 4. | | `updateBoxInfo.hadoopList` | Array | Optional | Hadoop cluster list: [hadoopList](/docs/en/change-box-infra#hadoopList) - Set up to 2 clusters. | | `updateBoxInfo.tensorFlowCpuServerList` | Array | Optional | TensorFlow CPU server list: [tensorFlowCpuServerList](/docs/en/change-box-infra#tensorFlowCpuServerList) - Set up to 4 servers. | | `updateBoxInfo.tensorFlowGpuServerList` | Array | Optional | TensorFlow GPU server list: [tensorFlowGpuServerList](/docs/en/change-box-infra#tensorFlowGpuServerList) - Set up to 2 servers. | #### `connectServerList` The following describes `connectServerList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `actionType` | String | Required | Processing type - `CREATE` \| `UPDATE` \| `DELETE` - `CREATE`: create - `UPDATE`: edit - `DELETE`: terminate | | `serverInstanceNo` | String | Conditional | Connect server instance number - See [get-box-infra-list](/docs/en/get-box-infra-list). - Required if `actionType` is `UPDATE` or `DELETE` | | `blockStorageInstanceNo` | String | Conditional | Connect server block storage instance number - See [get-box-infra-list](/docs/en/get-box-infra-list). - Required if `actionType` is `UPDATE` or `DELETE` | | `specCode` | String | Conditional | Connect server spec code - Required if `actionType` is `CREATE` or `UPDATE` - See [get-product-spec](/docs/en/get-product-spec). | | `storageSize` | Integer | Conditional | Connect server block storage size (GB) - Required if `actionType` is `CREATE` or `UPDATE` - 10-2000 - Set in 10 GB increments. | | `userPassword1` | String | Conditional | Connect server ncp1 account password - Enter 8 to 14 characters, combining at least one uppercase English letter, one lowercase English letter, one number, and one special character. - Unusable special characters: ', ", `, ₩, /, &, $, space | | `userPassword2` | String | Conditional | Connect server ncp2 account password - Enter 8 to 14 characters, combining at least one uppercase English letter, one lowercase English letter, one number, and one special character. - Unusable special characters: ', ", `, ₩, /, &, $, space | #### `linuxServerList` The following describes `linuxServerList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `actionType` | String | Required | Processing type - `CREATE` \| `UPDATE` \| `DELETE` - `CREATE`: create - `UPDATE`: edit - `DELETE`: terminate | | `serverInstanceNo` | String | Conditional | Linux server instance number - See [get-box-infra-list](/docs/en/get-box-infra-list). - Required if `actionType` is `UPDATE` or `DELETE` | | `blockStorageInstanceNo` | String | Conditional | Linux server block storage instance number - See [get-box-infra-list](/docs/en/get-box-infra-list). - Required if `actionType` is `UPDATE` or `DELETE` | | `specCode` | String | Conditional | Linux server spec code - Required if `actionType` is `CREATE` or `UPDATE` - See [get-product-spec](/docs/en/get-product-spec). | | `softwareCode` | String | Conditional | Linux server software code - Required if `actionType` is `CREATE` or `UPDATE` | | `storageSize` | Integer | Conditional | Linux server block storage size (GB) - Required if `actionType` is `CREATE` or `UPDATE` - 10-2000 - Set in 10 GB increments. | | `userPassword` | String | Conditional | Linux server account password - Enter 8 to 14 characters, combining at least one uppercase English letter, one lowercase English letter, one number, and one special character. - Unusable special characters: ', ", `, ₩, /, &, $, space | #### `windowsServerList` The following describes `windowsServerList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `actionType` | String | Required | Processing type - `CREATE` \| `UPDATE` \| `DELETE` - `CREATE`: create - `UPDATE`: edit - `DELETE`: terminate | | `serverInstanceNo` | String | Conditional | Windows server instance number - See [get-box-infra-list](/docs/en/get-box-infra-list). - Required if `actionType` is `UPDATE` or `DELETE` | | `blockStorageInstanceNo` | String | Conditional | Windows server block storage instance number - See [get-box-infra-list](/docs/en/get-box-infra-list). - Required if `actionType` is `UPDATE` or `DELETE` | | `specCode` | String | Conditional | Windows server spec code - Required if `actionType` is `CREATE` or `UPDATE` - See [get-product-spec](/docs/en/get-product-spec). | | `softwareCode` | String | Conditional | Windows server software code - Required if `actionType` is `CREATE` or `UPDATE` | | `storageSize` | Integer | Conditional | Windows server block storage size (GB) - Required if `actionType` is `CREATE` or `UPDATE` - 10-2000 - Set in 10 GB increments. | | `userPassword` | String | Conditional | Windows server account password - Enter 8 to 14 characters, combining at least one uppercase English letter, one lowercase English letter, one number, and one special character. - Unusable special characters: ', ", `, ₩, /, &, $, space | #### `boxNasList` The following describes `boxNasList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `actionType` | String | Required | Processing type - `CREATE` \| `DELETE` - `CREATE`: create - `DELETE`: terminate | | `nasInstanceNo` | String | Conditional | NAS instance number - See [get-box-infra-list](/docs/en/get-box-infra-list). - Required if `actionType` is `DELETE` | | `nasSize` | Integer | Conditional | NAS volume size (GB) - 500-10,000 - Set in 100 GB increments. | | `count` | Integer | Conditional | NAS count - Required if `actionType` is `CREATE` | #### `hadoopList` The following describes `hadoopList`. Note When changing the hardware specifications or the number of worker (data) nodes in a Hadoop cluster, you must enter both the existing cluster information and the information to be changed. For more information, see the comments in [Request example](/docs/en/change-box-infra#%EC%9A%94%EC%B2%AD%EC%98%88%EC%8B%9C). | Field | Type | Required | Description | | --- | --- | --- | --- | | `actionType` | String | Required | Processing type - `CREATE` \| `UPDATE` \| `DELETE` - `CREATE`: create - `UPDATE`: edit - `DELETE`: terminate | | `hadoopClusterNo` | String | Conditional | Hadoop cluster number - See [get-box-infra-list](/docs/en/get-box-infra-list). - Enter `instanceNo` of the infrastructure whose `infraType` is `HD`. - Required if `actionType` is `UPDATE` or `DELETE` | | `edgeNodeSpecCode` | String | Conditional | Edge node spec code - See [get-product-spec](/docs/en/get-product-spec). - Required if `actionType` is `CREATE` or `UPDATE` | | `masterNodeSpecCode` | String | Conditional | Master node spec code - See [get-product-spec](/docs/en/get-product-spec). - Required if `actionType` is `CREATE` or `UPDATE` | | `masterNodeStorageSize` | Integer | Conditional | Master node block storage size (GB) - Required if `actionType` is `CREATE` - 100-2000 - Set in 10 GB increments. - 4000 GB and 6000 GB are also available. | | `workerNodeSpecCode` | String | Conditional | Worker node spec code - See [get-product-spec](/docs/en/get-product-spec). - Required if `actionType` is `CREATE` or `UPDATE` | | `workerNodeStorageSize` | Integer | Conditional | Worker node block storage size (GB) - Required if `actionType` is `CREATE` - 100-2000 - Set in 10 GB increments. - 4000 GB and 6000 GB are also available. | | `workerNodeCount` | Integer | Conditional | Worker node count - Required if `actionType` is `CREATE` or `UPDATE` | | `userPassword` | String | Conditional | Hadoop cluster account password - Enter 8 to 14 characters, combining at least one uppercase English letter, one lowercase English letter, one number, and one special character. - Unusable special characters: ', ", `, ₩, /, &, $, space | #### `tensorFlowCpuServerList` The following describes `tensorFlowCpuServerList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `actionType` | String | Required | Processing type - `CREATE` \| `UPDATE` \| `DELETE` - `CREATE`: create - `UPDATE`: edit - `DELETE`: terminate | | `serverInstanceNo` | String | Conditional | TensorFlow CPU server instance number - See [get-box-infra-list](/docs/en/get-box-infra-list). - Required if `actionType` is `UPDATE` or `DELETE` | | `blockStorageInstanceNo` | String | Conditional | TensorFlow CPU server block storage instance number - See [get-box-infra-list](/docs/en/get-box-infra-list). - Required if `actionType` is `UPDATE` or `DELETE` | | `specCode` | String | Conditional | TensorFlow CPU server spec code - See [get-product-spec](/docs/en/get-product-spec). - Required if `actionType` is `CREATE` or `UPDATE` | | `softwareCode` | String | Conditional | TensorFlow CPU server software code - See [get-product-spec](/docs/en/get-product-spec). - Required if `actionType` is `CREATE` or `UPDATE` | | `storageSize` | Integer | Conditional | TensorFlow CPU server block storage size (GB) - Required if `actionType` is `CREATE` or `UPDATE` - 100-2000 - Set in 10 GB increments. | | `userPassword` | String | Conditional | TensorFlow CPU server account password - Enter 8 to 14 characters, combining at least one uppercase English letter, one lowercase English letter, one number, and one special character. - Unusable special characters: ', ", `, ₩, /, &, $, space | #### `tensorFlowGpuServerList` The following describes `tensorFlowGpuServerList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `actionType` | String | Required | Processing type - `CREATE` \| `UPDATE` \| `DELETE` - `CREATE`: create - `UPDATE`: edit - `DELETE`: terminate | | `serverInstanceNo` | String | Conditional | TensorFlow GPU server instance number - See [get-box-infra-list](/docs/en/get-box-infra-list). - Required if `actionType` is `UPDATE` or `DELETE` | | `blockStorageInstanceNo` | String | Conditional | TensorFlow GPU server block storage instance number - See [get-box-infra-list](/docs/en/get-box-infra-list). - Required if `actionType` is `UPDATE` or `DELETE` | | `specCode` | String | Conditional | TensorFlow GPU server spec code - See [get-product-spec](/docs/en/get-product-spec). - Required if `actionType` is `CREATE` or `UPDATE` | | `softwareCode` | String | Conditional | TensorFlow GPU server software code - See [get-product-spec](/docs/en/get-product-spec). - Required if `actionType` is `CREATE` or `UPDATE` | | `storageSize` | Integer | Conditional | TensorFlow GPU server block storage size (GB) - Required if `actionType` is `CREATE` or `UPDATE` - 100-2000 - Set in 10 GB increments. | | `userPassword` | String | Conditional | TensorFlow GPU server account password - Enter 8 to 14 characters, combining at least one uppercase English letter, one lowercase English letter, one number, and one special character. - Unusable special characters: ', ", `, ₩, /, &, $, space | ### Request example The request example is as follows: ``` curl --location --request POST 'https://datafence.apigw.ntruss.com/api/v1/box/change-box-infra' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "fenceId": 1, "boxId": 1, "connectServerList": [ { "actionType": "UPDATE", "serverInstanceNo": *********, "specCode": "SVR.VSVR.STAND.C004.M016.NET.SSD.B100.G002", "storageSize": 500 } ], "hadoopList": [ { "actionType": "UPDATE", "hadoopClusterNo": *********, "edgeNodeSpecCode": "SVR.VCHDP.EDGND.HICPU.C008.M016.NET.HDD.B050.G002", // Enter the spec code to change to. "masterNodeSpecCode": "SVR.VCHDP.MSTDT.STAND.C004.M016.NET.HDD.B050.G002", // Enter the existing spec code. "dataNodeSpecCode": "SVR.VCHDP.MSTDT.STAND.C004.M016.NET.HDD.B050.G002", // Enter the existing spec code. "dataNodeCount": 2 // Enter the existing count. } ] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `message` | String | - | API processing result message | ### Response status codes For information about the HTTP status codes common to all Datafence APIs, see [Datafence API response status codes](/docs/en/datafence-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "message": "Box modification requested." } ```